commit:     4b94328cd41359aa9a120a34b758e468f39849b8
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  2 10:54:25 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Sep  2 10:55:47 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b94328c

app-text/hunspell: Revbump fix build against sys-libs/ncurses[tinfo]

Thanks-to: zimous <zimous <AT> matfyz.cz>
Bug: https://bugs.gentoo.org/692614
Package-Manager: Portage-2.3.75, Repoman-2.3.17
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-text/hunspell/files/hunspell-1.7.0-tinfo.patch | 61 +++++++++++++++
 app-text/hunspell/hunspell-1.7.0-r1.ebuild         | 88 ++++++++++++++++++++++
 2 files changed, 149 insertions(+)

diff --git a/app-text/hunspell/files/hunspell-1.7.0-tinfo.patch 
b/app-text/hunspell/files/hunspell-1.7.0-tinfo.patch
new file mode 100644
index 00000000000..1fb992b0c9d
--- /dev/null
+++ b/app-text/hunspell/files/hunspell-1.7.0-tinfo.patch
@@ -0,0 +1,61 @@
+From ce41cfc39129ee2be67667f2d9b78cc7f7d24dca Mon Sep 17 00:00:00 2001
+From: zimous <zim...@matfyz.cz>
+Date: Mon, 2 Sep 2019 12:46:53 +0200
+Subject: [PATCH] Fix build against ncurses with separate tinfo lib
+
+Gentoo-bug: https://bugs.gentoo.org/692614
+---
+ configure.ac | 22 ++++++++++++++++++----
+ 1 file changed, 18 insertions(+), 4 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 9426a94..bc5e39d 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -52,11 +52,23 @@ AC_ARG_WITH(
+ AS_IF([test "x$with_ui" != xno], [
+       AC_CHECK_LIB([ncursesw],[tparm],[
+               CURSESLIB=-lncursesw
++        AC_CHECK_LIB([tinfow],[tgetent], [
++            CURSESLIB="$CURSESLIB -ltinfow"
++        ])
+       ],[AC_CHECK_LIB([curses],[tparm],[
+               CURSESLIB=-lcurses
++        AC_CHECK_LIB([tinfow],[tgetent], [
++            CURSESLIB="$CURSESLIB -ltinfo"
++        ])
+       ],[AC_CHECK_LIB([ncurses],[tparm],[
+               CURSESLIB=-lncurses
+-      ])])])
++        AC_CHECK_LIB([tinfow],[tgetent], [
++            CURSESLIB="$CURSESLIB -ltinfo"
++        ])
++      ],
++    [-ltinfo])],
++    [-ltinfo])],
++    [-ltinfow])
+    if test "$CURSESLIB" != "" ; then
+       echo Compiling with curses user interface.
+       AC_CHECK_HEADERS([curses.h])
+@@ -78,13 +90,15 @@ AC_ARG_WITH(
+ )
+ READLINELIB=""
+ AS_IF([test "x$with_readline" != xno],
+-      [AC_CHECK_LIB([tinfo],[tgetent], [
++      [AC_CHECK_LIB([tinfow],[tgetent], [
++              TERMLIB=-ltinfow
++    ],[AC_CHECK_LIB([tinfo],[tgetent], [
+               TERMLIB=-ltinfo
+-        ],[AC_CHECK_LIB([curses],[tparm],[
++    ],[AC_CHECK_LIB([curses],[tparm],[
+               TERMLIB=-lncurses
+       ],[AC_CHECK_LIB([termcap],[tgetent],[
+               TERMLIB=-ltermcap
+-      ])])])
++      ])])])])
+       LDSAVE=$LDFLAGS
+       LDFLAGS="$LDFLAGS $TERMLIB"
+       AC_CHECK_LIB([readline],[readline],[
+-- 
+2.23.0
+

diff --git a/app-text/hunspell/hunspell-1.7.0-r1.ebuild 
b/app-text/hunspell/hunspell-1.7.0-r1.ebuild
new file mode 100644
index 00000000000..343a7fbce81
--- /dev/null
+++ b/app-text/hunspell/hunspell-1.7.0-r1.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic
+
+MY_P="${PN}-${PV/_beta/b}"
+
+DESCRIPTION="Hunspell spell checker - an improved replacement for myspell in 
OOo"
+SRC_URI="https://github.com/hunspell/hunspell/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+HOMEPAGE="https://github.com/hunspell";
+
+SLOT="0/$(ver_cut 1-2)"
+LICENSE="MPL-1.1 GPL-2 LGPL-2.1"
+IUSE="ncurses nls readline static-libs"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+       ncurses? ( sys-libs/ncurses:0= )
+       readline? ( sys-libs/readline:= )
+"
+DEPEND="${RDEPEND}
+       sys-devel/gettext
+"
+
+LANGS="af bg ca cs cy da de de-1901 el en eo es et fo fr ga gl he hr hu ia id
+is it kk km ku lt lv mi mk ms nb nl nn pl pt pt-BR ro ru sk sl sq sv sw tn uk
+zu"
+
+PDEPEND=""
+for lang in ${LANGS}; do
+       IUSE+=" l10n_${lang}"
+       case ${lang} in
+               de-1901) dict="de_1901" ;;
+               pt-BR)   dict="pt-br"   ;;
+               *)       dict="${lang}" ;;
+       esac
+       PDEPEND+=" l10n_${lang}? ( app-dicts/myspell-${dict} )"
+done
+unset dict lang LANGS
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=(
+       AUTHORS ChangeLog NEWS THANKS license.hunspell
+       license.myspell README.md
+)
+
+PATCHES=(
+       # Upstream package creates some executables which names are too generic
+       # to be placed in /usr/bin - this patch prefixes them with 'hunspell-'.
+       # It modifies a Makefile.am file, hence eautoreconf.
+       "${FILESDIR}/${PN}-1.7.0-renameexes.patch"
+
+       "${FILESDIR}/${PN}-1.7.0-tinfo.patch" #692614
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # missing somehow, and I am too lazy to fix it properly
+       [[ ${CHOST} == *-darwin* ]] && append-libs -liconv
+
+       # I wanted to put the include files in /usr/include/hunspell.
+       # You can do that, libreoffice can find them anywhere, just
+       # ping me when you do so ; -- scarabeus
+       local myeconfargs=(
+               $(use_enable nls)
+               $(use_with ncurses ui)
+               $(use_with readline readline)
+               $(use_enable static-libs static)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       einstalldocs
+       find "${ED}" -type f -name '*.la' -delete || die
+
+       #342449
+       pushd "${ED}"/usr/$(get_libdir)/ >/dev/null
+       ln -s lib${PN}{-$(ver_cut 1).$(ver_cut 2).so.0.0.1,.so}
+       popd >/dev/null
+}

Reply via email to